package cz.moneta.test.dsl.util.task.kasanova;

import java.util.function.Function;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.kasanova.authentication.KSNLoginPage;
import cz.moneta.test.dsl.kasanova.components.KSNMainMenu;
import cz.moneta.test.harness.support.auth.Credentials;

public class KSNTasks {

	private final Harness harness;

    public KSNTasks(Harness harness) {
        this.harness = harness;
    }
    
    public Function<KSNLoginPage, KSNMainMenu> loginWithUserAndPassword(Credentials credentials) {
    	return start -> start
		  .typeUsername(credentials.getUsername())
          .typePassword(credentials.getPassword())
          .clickLogin();
    }
    
}
